<back to all web services

GetProjectsStatus

The following routes are available for this service:
GET/RestApi/translations/projects/statuses
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetProjectsStatus implements IProjectsFilter
    {
        public String SearchText = null;
        public ArrayList<String> Service = null;
        public ProjectStatus ProjectStatus = null;
        public String ActualSourceLanguage = null;
        public Boolean WithoutSourceLanguage = null;
        
        public String getSearchText() { return SearchText; }
        public GetProjectsStatus setSearchText(String value) { this.SearchText = value; return this; }
        public ArrayList<String> getService() { return Service; }
        public GetProjectsStatus setService(ArrayList<String> value) { this.Service = value; return this; }
        public ProjectStatus getProjectStatus() { return ProjectStatus; }
        public GetProjectsStatus setProjectStatus(ProjectStatus value) { this.ProjectStatus = value; return this; }
        public String getActualSourceLanguage() { return ActualSourceLanguage; }
        public GetProjectsStatus setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
        public Boolean isWithoutSourceLanguage() { return WithoutSourceLanguage; }
        public GetProjectsStatus setWithoutSourceLanguage(Boolean value) { this.WithoutSourceLanguage = value; return this; }
    }

    public static enum ProjectStatus
    {
        NotStarted,
        Started,
        Completed;
    }

}

Java GetProjectsStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/statuses HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Name":"String","Code":"String","Count":0}]